x86, hyperv: HYPERV depends on X86_LOCAL_APIC
authorH. Peter Anvin <hpa@linux.intel.com>
Wed, 13 Feb 2013 01:46:23 +0000 (17:46 -0800)
committerH. Peter Anvin <hpa@linux.intel.com>
Wed, 13 Feb 2013 01:46:23 +0000 (17:46 -0800)
In order to compile in the special Hyper-V interrupt vector, we need
infrastructure in arch/x86/apic/apic.c.  At least for now, simply
require CONFIG_X86_LOCAL_APIC in order to enable CONFIG_HYPERV.

Link: http://lkml.kernel.org/r/tip-bc2b0331e077f576369a2b6c75d15ed4de4ef91f@git.kernel.org
Cc: K. Y. Srinivasan <kys@microsoft.com>
Signed-off-by: H. Peter Anvin <hpa@linux.intel.com>
drivers/hv/Kconfig

index b38ef6d8d0492d7392814021f7ac30c7813ab361..64630f15f1816231ddc83feb88eab58e872cca3d 100644 (file)
@@ -2,7 +2,7 @@ menu "Microsoft Hyper-V guest support"
 
 config HYPERV
        tristate "Microsoft Hyper-V client drivers"
 
 config HYPERV
        tristate "Microsoft Hyper-V client drivers"
-       depends on X86 && ACPI && PCI
+       depends on X86 && ACPI && PCI && X86_LOCAL_APIC
        help
          Select this option to run Linux as a Hyper-V client operating
          system.
        help
          Select this option to run Linux as a Hyper-V client operating
          system.